/*
Theme Name: Porta Ferrada
Theme URI: 
Author: 
Author URI: 
Description: A child theme of Cruïlla 2024
Text Domain: porta-ferrada
Domain Path: /languages
Version: 1.4
Requires at least: 6.0
Requires PHP: 8.0
Template: cruilla2024
*/



/* body {
    background-color: var(--wp--preset--color--white);
} */


a {
    line-height: inherit;
    color: var(--wp--preset--color--black);
    text-decoration-color: var(--wp--preset--color--secondary) !important;
    text-decoration-thickness: 4px !important;
    font-weight: 500;

}


a:hover,
a:focus {
    color: var(--wp--preset--color--secondary) !important;

}




.top-bar,
.top-bar ul,
ul.main-nav:not(.submenu) ul.menu li:first-child:after,
ul.main-nav:not(.submenu) ul.submenu li:first-child:after {
    background-color: var(--wp--preset--color--secondary);
}

ul.main-nav ul.submenu li:hover a  {
    color: var(--wp--preset--color--black) !important;
     background-color: var(--wp--preset--color--primary)!important;
 }
  
 


.top-bar .wpml-ls-legacy-list-vertical ul li a {
    font-family: var(--wp--preset--font-family--primary);
    background: var(--wp--preset--color--olive);
}

ul.main-nav:not(.submenu)>li:not(.button)>a {
    font-family: var(--wp--preset--font-family--secondary);

}

ul.main-nav:not(.submenu)>li:not(.button)>a:hover {
    color: var(--wp--preset--color--black) !important;
}




ul.main-nav:not(.submenu)>li:not(.button)>a:before {
    background-color: var(--wp--preset--color--primary);
}

.button,
.button.primary,
.button.cta_btn {
    background-color: var(--wp--preset--color--primary);
    color: var(--wp--preset--color--black);
    transition: background-color 0.2s ease;
}

.button:hover,
.button.primary:hover,
.button.cta_btn:hover {
    color: var(--wp--preset--color--black) !important;
    background-color: color-mix(in srgb, var(--wp--preset--color--primary) 95%, black);
}

.button.secondary {
    background-color: var(--wp--preset--color--secondary);
    color: var(--wp--preset--color--black);
    transition: background-color 0.2s ease;
}

.button.secondary:hover {
    background-color: color-mix(in srgb, var(--wp--preset--color--secondary) 95%, black);
}

.button.tertiary {
    background-color: var(--wp--preset--color--violet);
    color: var(--wp--preset--color--black);
    border-color: var(--wp--preset--color--violet);
    transition: background-color 0.2s ease;
}

.button.tertiary:hover {
    background-color: color-mix(in srgb, var(--wp--preset--color--violet) 95%, black);
}


.button.hollow,
.button.hollow.disabled,
.button.hollow.disabled:focus,
.button.hollow.disabled:hover,
.button.hollow[disabled],
.button.hollow[disabled]:focus,
.button.hollow[disabled]:hover {
    border: 1px solid var(--wp--preset--color--primary);
    ;
    color: var(--wp--preset--color--primary);
}

.button.clear,
.button.clear.disabled,
.button.clear.disabled:focus,
.button.clear.disabled:hover,
.button.clear[disabled],
.button.clear[disabled]:focus,
.button.clear[disabled]:hover {
    color: var(--wp--preset--color--primary);
}

.button.open_quicksearch,
.button.open_quicksearch.white {
    background-color: var(--wp--preset--color--violet);

    &:hover {
        background-color: color-mix(in srgb, var(--wp--preset--color--violet) 95%, black);
    }
}



a.button-icon.primary {
    color: var(--wp--preset--color--primary) !important;
    text-decoration-color: var(--wp--preset--color--primary) !important;
    text-decoration-thickness: 4px !important;
}

a.button-icon.secondary {
    color: var(--wp--preset--color--secondary) !important;
    text-decoration-color: var(--wp--preset--color--secondary) !important;
    text-decoration-thickness: 4px !important;
}


.icon-circle.solid {
    background-color: currentColor;
    color: currentColor;
}

.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content {
    font-weight: inherit;
}

.wp-block-navigation .wp-block-navigation-item.current-menu-item a:before  {

    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background:var(--wp--preset--color--secondary);
  

}

.news-title-container {
    margin-left: -40px;
    width: fit-content;
}


/* footer.wp-block-template-part {
    max-width: 100vw;
    overflow: hidden;
} */
footer.footer {
    max-width: 100vw;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.gsap-masked-image-reveal-on-scroll {
    /* -webkit-mask-image: url(assets/images/mask_portaferrada.svg);
      mask-image: url(assets/images/mask_portaferrada.svg); */
    -webkit-mask-image: url(assets/images/mask_circle_blur.png);
    mask-image: url(assets/images/mask_circle_blur.png);
}


.top-bar .burger-button {
    background-color: var(--wp--preset--color--primary);
}

 
.artist-item .finaltickets-notice {
    font-size: 16px;
    padding: 8px 8px 6px;
    top: 52px;
    right: -74px;
}

.artist-item .soldout-notice {
    top:30px;
    font-size: 18px;
    padding: 8px 8px 6px;
}
.artist-item .past-notice {
    font-size: 20px;
}

.event-carrousel-block {
    margin-block-start: 0 !important;
}
